Debian Bug report logs - #388853
please make list in description render nicely in aptitude

version graph

Package: adduser; Maintainer for adduser is Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>; Source for adduser is src:adduser.

Reported by: Tomas Pospisek <tpo_deb@sourcepole.ch>

Date: Fri, 22 Sep 2006 23:03:14 UTC

Severity: wishlist

Tags: confirmed, patch

Found in version adduser/3.97

Fixed in version adduser/3.98

Done: Marc Haber <mh+debian-packages@zugschlus.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#388853; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
New Bug report received and forwarded. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please make list in description render nicely in aptitude
Date: Sat, 23 Sep 2006 00:58:22 +0200
[Message part 1 (text/plain, inline)]
Package: adduser
Version: 3.97
Severity: wishlist
Tags: patch

The attached patch lets aptitude detect and render nicely the list in
the description. Please see [1] for the rationale. Patch is attached.

Thanks, 
*t

[1] http://wiki.debian.org/Aptitude::Parse-Description-Bullets=true#preview

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages adduser depends on:
ii  debconf [debconf-2.0]       1.5.4        Debian configuration management sy
hi  passwd                      1:4.0.18.1-2 change and administer password and
ii  perl-base                   5.8.8-6.1    The Pathologically Eclectic Rubbis

adduser recommends no packages.

-- debconf information excluded
[diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>:
Bug#388853; Package adduser. Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-packages@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 388853@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: Tomas Pospisek <tpo_deb@sourcepole.ch>, 388853@bugs.debian.org, 388853-submitter@bugs.debian.org
Cc: Marc Haber <mh+debian-packages@zugschlus.de>
Subject: Re: Bug#388853: please make list in description render nicely in aptitude
Date: Sat, 23 Sep 2006 01:44:37 +0200
tags #388853 confirmed pending
thanks

On Sat, Sep 23, 2006 at 12:58:22AM +0200, Tomas Pospisek wrote:
> The attached patch lets aptitude detect and render nicely the list in
> the description. Please see [1] for the rationale. Patch is attached.

Applied in svn, thanks.

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 621 72739835



Tags added: confirmed, pending Request was from Marc Haber <mh+debian-packages@zugschlus.de> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug#388853. Full text and rfc822 format available.

Reply sent to Marc Haber <mh+debian-packages@zugschlus.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 388853-close@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-packages@zugschlus.de>
To: 388853-close@bugs.debian.org
Subject: Bug#388853: fixed in adduser 3.98
Date: Fri, 13 Oct 2006 01:32:07 -0700
Source: adduser
Source-Version: 3.98

We believe that the bug you reported is fixed in the latest version of
adduser, which is due to be installed in the Debian FTP archive:

adduser_3.98.dsc
  to pool/main/a/adduser/adduser_3.98.dsc
adduser_3.98.tar.gz
  to pool/main/a/adduser/adduser_3.98.tar.gz
adduser_3.98_all.deb
  to pool/main/a/adduser/adduser_3.98_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388853@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Haber <mh+debian-packages@zugschlus.de> (supplier of updated adduser package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 13 Oct 2006 08:28:49 +0000
Source: adduser
Binary: adduser
Architecture: source all
Version: 3.98
Distribution: unstable
Urgency: low
Maintainer: Debian Adduser Developers <adduser-devel@lists.alioth.debian.org>
Changed-By: Marc Haber <mh+debian-packages@zugschlus.de>
Description: 
 adduser    - Add and remove users and groups
Closes: 383724 385433 388853 389160 390536
Changes: 
 adduser (3.98) unstable; urgency=low
 .
   * Update Polish (pl) program and manpage translation.
     Thanks to Robert Luberda. (mh) Closes: #383724
   * Update Brazilian Portuguese (pt_BR) manpage translation. Thanks to
     Felipe Augusto van de Wiel.
   * Fix typo in Czech (sh) program translation.
     Thanks to Miroslav Kure. (mh) Closes: #390536
   * streamline --backup-to option parsing.
     Thanks to Gerfried Fuchs. Closes: #385433
   * Fix list in package description.
     Thanks to Tomas Pospisek. Closes: #388853
   * Allow @ in user names if allowed by local configuration or
     --force-badname is given.
     Thanks to Christoph Ulrich Scholler. Closes: #389160
   * Add parenthesis to make gettext happy (see #386912)
   * Move po-debconf to build-depends.
Files: 
 73967a37ac6f94e0cc42b7bf8a7b3ed8 659 admin important adduser_3.98.dsc
 233d8420fd6a5cfd80dad665074bb91a 227541 admin important adduser_3.98.tar.gz
 03a9fa5a01c28cbfe5d4363b9a75275d 174430 admin important adduser_3.98_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFL07NgZalRGu6PIQRAib0AJ9WLL9CighzNYLNZdWGUQNW2oXy6ACfafSk
3bBkp2MqaYGWF2KcB/MxdS4=
=BM3m
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 21:46:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:43:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.